﻿using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 커스텀 데이터 템플리트 선택자
    /// </summary>
    public class CustomDataTemplateSelector : DataTemplateSelector
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 템플리트 - StringTemplate

        /// <summary>
        /// 문자열 템플리트
        /// </summary>
        public DataTemplate StringTemplate { get; set; }

        #endregion
        #region 정수 템플리트 - IntegerTemplate

        /// <summary>
        /// 정수 템플리트
        /// </summary>
        public DataTemplate IntegerTemplate { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 템플리트 선택하기 (코어) - SelectTemplateCore(item)

        /// <summary>
        /// 템플리트 선택하기 (코어)
        /// </summary>
        /// <param name="item">항목</param>
        /// <returns>템플리트</returns>
        protected override DataTemplate SelectTemplateCore(object item)
        {
            if(item.GetType() == typeof(string))
            {
                return StringTemplate;
            }
            else if(item.GetType() == typeof(int))
            {
                return IntegerTemplate;
            }
            else
            {
                return null;
            }
        }

        #endregion
    }
}